---
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
  creationTimestamp: "2022-03-08T10:13:40Z"
  generation: 1
  managedFields:
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
      f:spec: {}
      f:status:
        .: {}
        f:extension: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:13:40Z"
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions: {}
        f:relatedObjects: {}
        f:versions: {}
    manager: cloud-credential-operator
    operation: Update
    time: "2022-03-08T10:15:44Z"
  name: cloud-credential
  resourceVersion: "79521"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/cloud-credential
  uid: 0ae6661d-504f-432d-a454-baa81614e7fc
spec: {}
status:
  conditions:
  - lastTransitionTime: "2022-03-08T10:15:44Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2022-03-08T10:15:44Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2022-03-08T10:48:23Z"
    status: "False"
    type: Progressing
  - lastTransitionTime: "2022-03-08T10:15:44Z"
    status: "True"
    type: Upgradeable
  extension: null
  relatedObjects:
  - group: operator.openshift.io
    name: cluster
    resource: cloudcredentials
  - group: ""
    name: openshift-cloud-credential-operator
    resource: namespaces
  - group: cloudcredential.openshift.io
    name: openshift-network
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-image-registry-gcs
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-ingress
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-machine-api-gcp
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-machine-api-openstack
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: manila-csi-driver-operator
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-machine-api-aws
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-ingress-gcp
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: ovirt-csi-driver-operator
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: aws-ebs-csi-driver-operator
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-image-registry
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-image-registry-azure
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-image-registry-openstack
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: cloud-credential-operator-iam-ro
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-ingress-azure
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-machine-api-azure
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-machine-api-ovirt
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  - group: cloudcredential.openshift.io
    name: openshift-machine-api-vsphere
    namespace: openshift-cloud-credential-operator
    resource: credentialsrequests
  versions:
  - name: operator
    version: 4.6.52
